$darkOrange:  rgb(226, 114, 22);
$total-items: 4;

body {
  font-family: 'Lato', sans-serif;
  background: #111;
  color: #fff;
}

.menu-container {
  display: flex;
  flex-wrap: nowrap;
   align-items: center;
  justify-content: center;
}

.element {
  position: relative;
  display: block;
  border: 1px solid $darkOrange;
  background: #ececec;
  margin: 0.5rem;
  padding: 10px;
  text-align: center;
  text-transform: uppercase;
  animation: fadeIn 0.5s linear;
  animation-fill-mode: both;
  &:hover {
    background-color: rgb(255, 155, 24);
    border-color: $darkOrange;
    transition: border-top-color 0.15s linear infinite, // Stagger border appearances
    border-right-color 0.15s linear 0.10s, border-bottom-color 0.15s linear 0.20s;
    cursor: pointer;
  }
  &.active {
    background-color: rgb(255, 243, 78);
    border-color: orange;
  }
}

// Set delay per List Item
@for $i from 1 through $total-items {
  .element:nth-child(#{$i}) {
    animation-delay: .15s * $i;
  }
}

// Keyframe animation
@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
    top: 100px;
  }
  75% {
    opacity: 0.5;
    top: 0px;
  }
  100% {
    opacity: 1;
  }
}
